org.apache.cassandra.concurrent

## Class JMXEnabledSharedExecutorPool

- java.lang.Object
- - org.apache.cassandra.concurrent.SharedExecutorPool
  - - org.apache.cassandra.concurrent.JMXEnabledSharedExecutorPool

-     public class JMXEnabledSharedExecutorPool
      extends SharedExecutorPool

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `JMXEnabledSharedExecutorPool.JMXEnabledSEPExecutor`
    `static interface` | `JMXEnabledSharedExecutorPool.JMXEnabledSEPExecutorMBean`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JMXEnabledSharedExecutorPool` | `SHARED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMXEnabledSharedExecutorPool(java.lang.String poolName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TracingAwareExecutorService` | `newExecutor(int maxConcurrency, int maxQueuedTasks, java.lang.String name, java.lang.String jmxPath)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SHARED

          public static final JMXEnabledSharedExecutorPool SHARED

  - ### Constructor Detail

    - #### JMXEnabledSharedExecutorPool

          public JMXEnabledSharedExecutorPool(java.lang.String poolName)

  - ### Method Detail

    - #### newExecutor

          public TracingAwareExecutorService newExecutor(int maxConcurrency,
                                                int maxQueuedTasks,
                                                java.lang.String name,
                                                java.lang.String jmxPath)

Copyright © 2014 The Apache Software Foundation